<?php

namespace common\logic\Distribution\ProductDistribution;

use common\logic\ContainerInterface;

class ProductDistributionContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProductDistribution::class;
    }

    public function getServices(): array
    {
        return [
            ProductDistributionRepository::class,
            ProductDistributionBuilder::class,
        ];
    }

    public function getRepository(): ProductDistributionRepository
    {
        return new ProductDistributionRepository();
    }

    public function getBuilder(): ProductDistributionBuilder
    {
        return new ProductDistributionBuilder();
    }
}