<?php

namespace common\logic\Subscription\Subscription;

use common\logic\BaseService;
use common\logic\BuilderInterface;
use common\logic\Distribution\Distribution\Distribution;
use common\logic\Distribution\Distribution\DistributionRepository;
use common\logic\PointSale\PointSale\PointSale;
use common\logic\Producer\Producer\Producer;
use common\logic\User\User\User;
use common\logic\User\UserProducer\UserProducer;

class SubscriptionBuilder extends BaseService implements BuilderInterface
{
    protected DistributionRepository $distributionRepository;

    public function __construct()
    {
        $this->distributionRepository = $this->loadService(DistributionRepository::class);
    }

    public function instanciate(): Subscription
    {
        $subscription = new Subscription();

        return $subscription;
    }
}