<?php

namespace common\logic\User\UserUserGroup;

use common\logic\ContainerInterface;
use common\logic\User\UserProducer\UserUserGroupRepository;

class UserUserGroupContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return UserUserGroup::class;
    }

    public function getServices(): array
    {
        return [
            UserUserGroupRepository::class,
            UserUserGroupBuilder::class
        ];
    }

    public function getRepository(): UserUserGroupRepository
    {
        return new UserUserGroupRepository();
    }

    public function getBuilder(): UserUserGroupBuilder
    {
        return new UserUserGroupBuilder();
    }
}